{ config, pkgs, system, inputs, ... }:

{
  home.username = "regent";
  home.homeDirectory = "/home/regent";

  catppuccin = {
    enable = true;
    flavor = "mocha";
    accent = "rosewater";
    /*waybar = { doesnt work for some reason
      enable = true;
    };*/
    ghostty.enable = true;
    ghostty.flavor = "mocha";
  };

  programs.ghostty.enable = true;
  programs.ghostty.settings = {
    font-size = 24;
    theme = "catppuccin-mocha";
  };

   home.pointerCursor = {
    gtk.enable = true;
    package = pkgs.phinger-cursors;
    name = "Phinger-cursors-light";
    size = 48;
  }; 

  programs.waybar = {
    enable = true;
    style =
''
@define-color rosewater #f5e0dc;
@define-color flamingo #f2cdcd;
@define-color pink #f5c2e7;
@define-color mauve #cba6f7;
@define-color red #f38ba8;
@define-color maroon #eba0ac;
@define-color peach #fab387;
@define-color yellow #f9e2af;
@define-color green #a6e3a1;
@define-color teal #94e2d5;
@define-color sky #89dceb;
@define-color sapphire #74c7ec;
@define-color blue #89b4fa;
@define-color lavender #b4befe;
@define-color text #cdd6f4;
@define-color subtext1 #bac2de;
@define-color subtext0 #a6adc8;
@define-color overlay2 #9399b2;
@define-color overlay1 #7f849c;
@define-color overlay0 #6c7086;
@define-color surface2 #585b70;
@define-color surface1 #45475a;
@define-color surface0 #313244;
@define-color base #1e1e2e;
@define-color mantle #181825;
@define-color crust #11111b;


* {
  font-family: FantasqueSansMono Nerd Font;
  font-size: 17px;
  min-height: 0;
}

window#waybar {
  padding: 0px;
  margin: 0px;
  border: 0px;
  /*background-color:rgb(0, 0, 0);*/
  background-color: rgba(0, 0, 0, 0.9);
  color: @text;
}

/*window#waybar.empty {
	background-color:rgba(255, 255, 255, 0);
}*/

#workspaces {
  border-radius: 1rem;
  margin: 5px;
  background-color: @surface0;
  margin-left: 1rem;
}


#workspaces button {
  color: @lavender;
  border-radius: 1rem;
  padding: 0.4rem;
}

#workspaces button.active {
  color: @sky;
  border-radius: 1rem;
}

#workspaces button:hover {
  color: @sapphire;
  border-radius: 1rem;
}

#custom-music,
#tray,
#backlight,
#clock,
#battery,
#pulseaudio,
#custom-lock,
#custom-power {
  background-color: @surface0;
  padding: 0.5rem 1rem;
  margin: 5px 0;
}

#clock {
  color: @blue;
  border-radius: 0px 1rem 1rem 0px;
  margin-right: 1rem;
}

'';
    settings = {
      mainBar = {
        layer = "top";
        position = "top";
        height = 34;
        output = [
          "HDMI-A-1"
          "DP-2"
        ];
        modules-left = [ "sway/workspaces" ];
        modules-center = [ "sway/window" ];
        modules-right = [ "clock"  ];

        "sway/workspaces" = {
          disable-scroll = true;
          sort-by-name = true;
        };
      };
    };
  };

  home.stateVersion = "25.05";
}